## nanoAsyncC.awk -v DISPLAY_WIDTH=n
#
var DISPLAY_WIDTH = 35
BEGIN {
	DD = "D:/g/";	INPUT = DD "ミュージック/"	# 3:09sec(ベンチ用)
	MM = "M:/";	OUTPUT = MM "ミュージック/"
##	LOG = MM "copy.log"
#		Path						# Speed		データの流れ
	MM = "/home/share/"				# 1:06sec	Linux直
	MM = "D:/share/"				# 08sec		Win直
	MM = "//princess7/share/"		# 10sec		Win→ローカル/SSD
	MM = "//princess6/share/"		# 1:23sec	Win→Samba/HDD
	MM = "//prince6/share/"			# 1:17sec
	INPUT = MM "ミュージック/"			# (2.1GB)
	OUTPUT = MM "ミュージック2/"

	# INPUT = MM "ミュージック/"			# 9:45sec (ave.30)
	# OUTPUT = "//princess7/share/ミュージック2/"

	INPUT = "//prince6/share/m/ミュージック/"	# 14:49-14:58sec (ave.15min)
	OUTPUT = "G:/g/ミュージック/"				# 15min(T2) 14:30(T8) 15:19(T12)

	# INPUT = "//prince6/share/m/ミュージック/"
	# OUTPUT = "//princess7/ｇ/ミュージック/"		# error
	# OUTPUT = "//192.168.2.107/ｇ/ミュージック/"

	print "\e[92m# copy コマンドでバックアップする\e[m"
	set("DISPLAY_WIDTH="DISPLAY_WIDTH)
#	clean(INPUT, "clean")
	print "\e[92m# 前回のバックアップを削除\e[m"
	remove(OUTPUT, "pro")
	print "\e[92m# バックアップ(async io)\e[m"
#	copy(INPUT, OUTPUT, "pro >" LOG)
	copy(INPUT, OUTPUT, "pro sync")
	print ""
}